Subject: bug#29472: closed (Re: [bug#29472] [PATCH 1/4] gnu: Add perl-file-basedir.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 28 Nov 2017 09:45:02 +0000

Your bug report

#29472: [patch 0/4] Add perl-file-mimeinfo and dependencies; add it as an input to xdg-utils

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29472: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29472
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#29472] [PATCH 1/4] gnu: Add perl-file-basedir.
From: [email-masked] (Ludovic Courtès)
To: Brendan Tildesley <[email-masked]>
Cc: [email-masked]
Date: Tue, 28 Nov 2017 10:44:56 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Brendan,

I applied all 4 patches.  However I took the liberty (1) to add a bit of
@code etc. markup in descriptions, and (2) to move them to
freedesktop.scm so that perl.scm doesn’t pull in all of
freedesktop/gnome.

Thanks!

Ludo’.

Subject: [patch 0/4] Add perl-file-mimeinfo and dependencies; add it as an input to xdg-utils
From: [email-masked]
To: [email-masked]
Date: Mon, 27 Nov 2017 12:50:53 -0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I was wondering why my pdf documents were getting opened in Gimp by default instead of Evince, so I investigated xdg-open and found it uses mimeopen as a fallback, and packaged it. Turns out it didn't make a difference and the issue was simply that the generated mimedata.cache in xdg-mime-database had Gimp listed before Evince.

I was also I little confused that xdg-mime-database produces so many conflicts with shared-mime-info. It's role appears to be to update the data in shared-mime-data and have it overshadow the original data when  conflicts are resolved during profile generation. Looks ugly seeing all those conflicts though.

I had a look at Fedora's version. They just have a single shared-mime-data package that runs update-mime-database, but also they add a few changes to make Evince open pdf's instead of Gimp, among other changes.

This makes me feel that it's desirable for us to also tweak mimedata to make it more sensible -- Pdf's should open in a pdf reader before it opens in an image editor. It seems unrealistic to only tweak upstream projects to make all this mimedata mesh together perfectly to produce ideal default behaviour.

I rambled on a bit too much... Here are some patches that add perl-file-mimeinfo